import Panel from "../views/Panel";
export default class PumpedPanel extends Panel {
    protected get skinKey() { return 'Pumped' }
    public pumpBtn:eui.Button;
    public closeBtn:eui.Button;

    constructor(data){
        super();
    }

    initEvents(){
        super.initEvents();
        this.onTap(this.pumpBtn,this.onTap_closeBtn);
        this.onTap(this.closeBtn,this.onTap_closeBtn);
    }

    onTap_closeBtn(){
        this.hidePanel();
    }
    removeEvents(){
        super.removeEvents();
        this.clearTap(this.pumpBtn,this.onTap_closeBtn);
        this.clearTap(this.closeBtn,this.onTap_closeBtn);
    }
}